# Properties (dapr-sdk-parent 1.14.1 API)
declaration: package: io.dapr.config, class: Properties

Package io.dapr.config

# Class Properties

java.lang.Object
io.dapr.config.Properties

public class Properties extends Object
Global properties for Dapr's SDK, using Supplier so they are dynamically resolved.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final Property<String>`
`API_TOKEN`
API token for authentication between App and Dapr's side car.
`static final Property<String>`
`GRPC_ENDPOINT`
GRPC endpoint for remote sidecar connectivity.
`static final Property<Integer>`
`GRPC_PORT`
GRPC port for Dapr after checking system property and environment variable.
`static final Property<Integer>`
`HTTP_CLIENT_MAX_IDLE_CONNECTIONS`
Dapr's default maximum number of idle connections for HTTP connection pool.
`static final Property<Integer>`
`HTTP_CLIENT_MAX_REQUESTS`
Dapr's default maximum number of requests for HTTP client to execute concurrently.
`static final Property<Integer>`
`HTTP_CLIENT_READ_TIMEOUT_SECONDS`
Dapr's timeout in seconds for HTTP client reads.
`static final Property<String>`
`HTTP_ENDPOINT`
GRPC endpoint for remote sidecar connectivity.
`static final Property<Integer>`
`HTTP_PORT`
HTTP port for Dapr after checking system property and environment variable.
`static final Property<Integer>`
`MAX_RETRIES`
Maximum number of retries for retriable exceptions.
`static final Property<String>`
`SIDECAR_IP`
IP for Dapr's sidecar.
`static final Property<Charset>`
`STRING_CHARSET`
Determines which string encoding is used in Dapr's Java SDK.
`static final Property<Duration>`
`TIMEOUT`
Timeout for API calls.

## Constructor Summary

Constructors
Constructor
Description
`Properties()`
Creates a new instance to handle Properties per instance.
`Properties(Map<?,String> overridesInput)`
Creates a new instance to handle Properties per instance.

## Method Summary

Modifier and Type
Method
Description
`<T> T`
`getValue(Property<T> property)`
Gets a property value taking in consideration the override values.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### SIDECAR_IP

public static final Property<String> SIDECAR_IP
IP for Dapr's sidecar.

### HTTP_PORT

public static final Property<Integer> HTTP_PORT
HTTP port for Dapr after checking system property and environment variable.

### GRPC_PORT

public static final Property<Integer> GRPC_PORT
GRPC port for Dapr after checking system property and environment variable.

### GRPC_ENDPOINT

public static final Property<String> GRPC_ENDPOINT
GRPC endpoint for remote sidecar connectivity.

### HTTP_ENDPOINT

public static final Property<String> HTTP_ENDPOINT
GRPC endpoint for remote sidecar connectivity.

### MAX_RETRIES

public static final Property<Integer> MAX_RETRIES
Maximum number of retries for retriable exceptions.

### TIMEOUT

public static final Property<Duration> TIMEOUT
Timeout for API calls.

### API_TOKEN

public static final Property<String> API_TOKEN
API token for authentication between App and Dapr's side car.

### STRING_CHARSET

public static final Property<Charset> STRING_CHARSET
Determines which string encoding is used in Dapr's Java SDK.

### HTTP_CLIENT_READ_TIMEOUT_SECONDS

public static final Property<Integer> HTTP_CLIENT_READ_TIMEOUT_SECONDS
Dapr's timeout in seconds for HTTP client reads.

### HTTP_CLIENT_MAX_REQUESTS

public static final Property<Integer> HTTP_CLIENT_MAX_REQUESTS
Dapr's default maximum number of requests for HTTP client to execute concurrently.

### HTTP_CLIENT_MAX_IDLE_CONNECTIONS

public static final Property<Integer> HTTP_CLIENT_MAX_IDLE_CONNECTIONS
Dapr's default maximum number of idle connections for HTTP connection pool.

## Constructor Details

### Properties

public Properties()
Creates a new instance to handle Properties per instance.

### Properties

public Properties(Map<?,String> overridesInput)
Creates a new instance to handle Properties per instance.

Parameters:
  `overridesInput` - to override static properties

## Method Details

### getValue

public <T> T getValue(Property<T> property)
Gets a property value taking in consideration the override values.

Type Parameters:
  `T` - type of the property that we want to get the value from
Parameters:
  `property` - to override static property value from overrides
Returns:
  the property's value